Bug 983569 - 12.8.2. Bad exception names
12.8.2. Bad exception names
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: GA
: EAP 6.2.0
Assigned To: Lucas Costi
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 09:41 EDT by Pavel Janousek
Modified: 2014-08-14 11:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 11-07-2013 12:58:00 Topic ID: 2811-432841 [Specified]
Last Closed: 2013-12-15 11:20:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-11 09:41:01 EDT
Title: RESTEasy Internally Thrown Exceptions

Describe the issue:
Several exception names in the table begins with 'o.j.r.plugins.providers.jaxb.' - these are not the right name of exceptions.

Suggestions for improvement:
Option 1 - full class name for every exception instead of affected
Option 2 - use only Class name of exception without package name

This should be applied for every mentioned exception in the table.
Comment 4 Lucas Costi 2013-10-29 01:12:51 EDT
I have removed the package names from the offending exceptions in topic 2811, revision 549392.

The changes will be reflected in the next document build, and the status will be changed to ON_QA when it is ready for review.
Comment 6 Petr Sakař 2013-11-12 09:10:10 EST
Verified table in documentation referenced in comment#5 do not contain package shortcuts

Note You need to log in before you can comment on or make changes to this bug.